// Copyright (C) 2000, Edward W. Felten.

import javax.swing.event.TableModelEvent;
import javax.swing.table.AbstractTableModel;
import javax.swing.table.DefaultTableColumnModel;
import javax.swing.table.TableColumn;


class AcctDataModel extends AbstractTableModel {
  public AcctDataModel() {
    AccountDB.addListener(this);
  }

  public int getColumnCount() {
    return 3;
  }

  public int getRowCount() {
    return AccountDB.size();
  }

  public Object getValueAt(int row, int col){
    Account a = AccountDB.get(row);
    if(col == 0)    return new Integer(a.getNum());
    else if(col == 1)    return a.getName();
    else if(col == 2)    return a.getBalance();
    else    throw new ArrayIndexOutOfBoundsException();
  }

  public String getColumnName(int col) {
    if(col == 0)    return "Account num";
    else if(col == 1)    return "Owner";
    else if(col == 2)    return "Balance";
    else    throw new ArrayIndexOutOfBoundsException();
  }
}

