// Copyright (C) 2000, Edward W. Felten.  All rights reserved.


import java.awt.event.ActionListener;
import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.JTextField;

public class LabeledTextField extends Box {
  private JTextField textField;

  public LabeledTextField(String label, String text) {
    super(BoxLayout.X_AXIS);
    add(new JLabel(label));
    textField = new JTextField(text);
    add(textField);
    setColumns(15);
  }

  public String getText() {
    return textField.getText();
  }

  public void setText(String text) {
    textField.setText(text);
  }

  public void setColumns(int n) {
    textField.setColumns(n);
  }

  public void addActionListener(ActionListener al) {
    textField.addActionListener(al);
  }
}
