// Copyright (C) 2000, Edward W. Felten.  All rights reserved.

import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;


public class PseudoRandomFunc {
  public static final int Nbytes = 32;

  public static byte[] r(byte[] x){
    if(x.length != Nbytes){
      throw new RuntimeException("Called PseudoRandomFunc.r "+
				 "with wrong-size byte array");
    }
    byte[] ret = new byte[Nbytes];

    try{
      MessageDigest dig = MessageDigest.getInstance("SHA");
      byte[] d = dig.digest(x);
      for(int i=0; i<16; ++i)    ret[i] = d[i];
      dig.update((byte)25);
      d = dig.digest(x);
      for(int i=0; i<16; ++i)    ret[i+16] = d[i];
      return ret;
    }catch(NoSuchAlgorithmException ex){
      System.err.println("Error: JCE crypto providers " +
			 "not installed correctly");
      System.exit(-1);
      return null;
    }
  }
}
